Edition of KYC
Edits the consumer declarative information on our PSP side.
PUT
/
connectors
/
consumers
/
{consumer_id}
/
kyc
Edition of KYC
curl --request PUT \
--url https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/kyc \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"birthday": "2023-12-25",
"country_of_residence": "<string>",
"nationality": "<string>"
}
'import requests
url = "https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/kyc"
payload = {
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"birthday": "2023-12-25",
"country_of_residence": "<string>",
"nationality": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'jsmith@example.com',
first_name: '<string>',
last_name: '<string>',
birthday: '2023-12-25',
country_of_residence: '<string>',
nationality: '<string>'
})
};
fetch('https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/kyc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"birthday": "2023-12-25",
"country_of_residence": "<string>",
"nationality": "<string>"
}{
"errors": {},
"id": "e2c32b4b-de61-459b-accf-a75f76247946"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id you used to create the given consumer
Body
application/json
Description of email.
Description of first_name.
Description of last_name.
Description of birthday.
description of country_of_residence.
Description of nationality.
Response
OK
Description of email.
Description of first_name.
Description of last_name.
Description of birthday.
description of country_of_residence.
Description of nationality.
Was this page helpful?
Previous
Creation of KYCRegisters this consumer on our PSP with the different information needed for the light
verification.
Next
⌘I
Edition of KYC
